UIPackage
Menu

Framework

Change language

Boilerplate repo

Header

blockmarketing

Site header collection: sticky top bar, dismissible announcement stack, centered-logo split, floating pill, full-width mega menu, inline search with command palette, and a transparent-over-hero scroll variant — each with a mobile sheet fallback.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/header.json
Named registry:npx shadcn@latest add @uipkge-react/headerInstalls to:components/blocks/header/

Variants

Loading interactive previews…

Files installed (7)

  • components/blocks/header/Header01.tsx4.7 kB
    'use client'
    
    import * as React from 'react'
    import { Boxes, Menu, X } from 'lucide-react'
    import { Button } from '@/components/ui/button'
    import { Sheet, SheetContent, SheetTrigger } from '@/components/ui/sheet'
    
    export function Header01() {
      const [mobileOpen, setMobileOpen] = React.useState(false)
    
      return (
        <header
          data-slot="header-01"
          className="bg-background/80 supports-[backdrop-filter]:bg-background/60 sticky top-0 z-40 border-b backdrop-blur"
        >
          <div className="mx-auto flex h-16 max-w-6xl items-center justify-between px-6">
            <a href="#" className="flex items-center gap-2">
              <div className="bg-primary text-primary-foreground flex size-8 items-center justify-center rounded-md">
                <Boxes className="size-4" />
              </div>
              <span className="text-base font-semibold">Acme</span>
            </a>
    
            <nav className="hidden items-center gap-6 md:flex" aria-label="Primary">
              <a href="#features" className="text-muted-foreground hover:text-foreground text-sm transition-colors">
                Features
              </a>
              <a href="#pricing" className="text-muted-foreground hover:text-foreground text-sm transition-colors">
                Pricing
              </a>
              <a href="#customers" className="text-muted-foreground hover:text-foreground text-sm transition-colors">
                Customers
              </a>
              <a href="#docs" className="text-muted-foreground hover:text-foreground text-sm transition-colors">
                Docs
              </a>
              <a href="#blog" className="text-muted-foreground hover:text-foreground text-sm transition-colors">
                Blog
              </a>
            </nav>
    
            <div className="hidden items-center gap-2 md:flex">
              <Button variant="ghost" size="sm">
                Sign in
              </Button>
              <Button size="sm">Start free trial</Button>
            </div>
    
            <Sheet open={mobileOpen} onOpenChange={setMobileOpen}>
              <SheetTrigger asChild>
                <Button variant="ghost" size="icon" className="md:hidden" aria-label="Open menu">
                  <Menu className="size-5" />
                </Button>
              </SheetTrigger>
              <SheetContent side="right" className="w-72">
                <div className="flex h-full flex-col">
                  <div className="flex items-center justify-between border-b px-4 py-3">
                    <div className="flex items-center gap-2">
                      <div className="bg-primary text-primary-foreground flex size-7 items-center justify-center rounded-md">
                        <Boxes className="size-3.5" />
                      </div>
                      <span className="text-sm font-semibold">Acme</span>
                    </div>
                    <Button
                      variant="ghost"
                      size="icon"
                      className="size-8"
                      aria-label="Close menu"
                      onClick={() => setMobileOpen(false)}
                    >
                      <X className="size-4" />
                    </Button>
                  </div>
                  <nav className="flex flex-1 flex-col gap-1 p-4" aria-label="Mobile">
                    <a
                      href="#features"
                      className="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                      onClick={() => setMobileOpen(false)}
                    >
                      Features
                    </a>
                    <a
                      href="#pricing"
                      className="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                      onClick={() => setMobileOpen(false)}
                    >
                      Pricing
                    </a>
                    <a
                      href="#customers"
                      className="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                      onClick={() => setMobileOpen(false)}
                    >
                      Customers
                    </a>
                    <a
                      href="#docs"
                      className="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                      onClick={() => setMobileOpen(false)}
                    >
                      Docs
                    </a>
                    <a
                      href="#blog"
                      className="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                      onClick={() => setMobileOpen(false)}
                    >
                      Blog
                    </a>
                  </nav>
                  <div className="flex flex-col gap-2 border-t p-4">
                    <Button variant="outline" className="w-full">
                      Sign in
                    </Button>
                    <Button className="w-full">Start free trial</Button>
                  </div>
                </div>
              </SheetContent>
            </Sheet>
          </div>
        </header>
      )
    }
    
  • components/blocks/header/HeaderAnnouncementStack.tsx4.6 kB
  • components/blocks/header/HeaderCenteredLogo.tsx3.4 kB
  • components/blocks/header/HeaderFloatingPill.tsx4 kB
  • components/blocks/header/HeaderMegaMenu.tsx8.4 kB
  • components/blocks/header/HeaderSearchCommand.tsx5.1 kB
  • components/blocks/header/HeaderTransparentScroll.tsx3.4 kB

Raw manifest:https://uipkge.dev/r/react/header.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Header

blockmarketing

Site header collection: sticky top bar, dismissible announcement stack, centered-logo split, floating pill, full-width mega menu, inline search with command palette, and a transparent-over-hero scroll variant — each with a mobile sheet fallback.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/header.json
Named registry:npx shadcn-vue@latest add @uipkge/headerInstalls to:app/components/blocks/header/

Variants

Loading interactive previews…

Files installed (7)

  • app/components/blocks/header/Header01.vue4 kB
    <script setup lang="ts">
    import { ref } from 'vue'
    import { Boxes, Menu, X } from 'lucide-vue-next'
    import { Button } from '@/components/ui/button'
    import { Sheet, SheetContent, SheetTrigger } from '@/components/ui/sheet'
    
    const mobileOpen = ref(false)
    </script>
    
    <template>
      <header
        data-slot="header-01"
        class="bg-background/80 supports-[backdrop-filter]:bg-background/60 sticky top-0 z-40 border-b backdrop-blur"
      >
        <div class="mx-auto flex h-16 max-w-6xl items-center justify-between px-6">
          <a href="#" class="flex items-center gap-2">
            <div class="bg-primary text-primary-foreground flex size-8 items-center justify-center rounded-md">
              <Boxes class="size-4" />
            </div>
            <span class="text-base font-semibold">Acme</span>
          </a>
    
          <nav class="hidden items-center gap-6 md:flex" aria-label="Primary">
            <a href="#features" class="text-muted-foreground hover:text-foreground text-sm transition-colors">Features</a>
            <a href="#pricing" class="text-muted-foreground hover:text-foreground text-sm transition-colors">Pricing</a>
            <a href="#customers" class="text-muted-foreground hover:text-foreground text-sm transition-colors">Customers</a>
            <a href="#docs" class="text-muted-foreground hover:text-foreground text-sm transition-colors">Docs</a>
            <a href="#blog" class="text-muted-foreground hover:text-foreground text-sm transition-colors">Blog</a>
          </nav>
    
          <div class="hidden items-center gap-2 md:flex">
            <Button variant="ghost" size="sm">Sign in</Button>
            <Button size="sm">Start free trial</Button>
          </div>
    
          <Sheet v-model:open="mobileOpen">
            <SheetTrigger as-child>
              <Button variant="ghost" size="icon" class="md:hidden" aria-label="Open menu">
                <Menu class="size-5" />
              </Button>
            </SheetTrigger>
            <SheetContent side="right" class="w-72">
              <div class="flex h-full flex-col">
                <div class="flex items-center justify-between border-b px-4 py-3">
                  <div class="flex items-center gap-2">
                    <div class="bg-primary text-primary-foreground flex size-7 items-center justify-center rounded-md">
                      <Boxes class="size-3.5" />
                    </div>
                    <span class="text-sm font-semibold">Acme</span>
                  </div>
                  <Button variant="ghost" size="icon" class="size-8" aria-label="Close menu" @click="mobileOpen = false">
                    <X class="size-4" />
                  </Button>
                </div>
                <nav class="flex flex-1 flex-col gap-1 p-4" aria-label="Mobile">
                  <a
                    href="#features"
                    class="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                    @click="mobileOpen = false"
                    >Features</a
                  >
                  <a
                    href="#pricing"
                    class="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                    @click="mobileOpen = false"
                    >Pricing</a
                  >
                  <a
                    href="#customers"
                    class="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                    @click="mobileOpen = false"
                    >Customers</a
                  >
                  <a
                    href="#docs"
                    class="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                    @click="mobileOpen = false"
                    >Docs</a
                  >
                  <a
                    href="#blog"
                    class="hover:bg-muted rounded-md px-3 py-2 text-sm transition-colors"
                    @click="mobileOpen = false"
                    >Blog</a
                  >
                </nav>
                <div class="flex flex-col gap-2 border-t p-4">
                  <Button variant="outline" class="w-full">Sign in</Button>
                  <Button class="w-full">Start free trial</Button>
                </div>
              </div>
            </SheetContent>
          </Sheet>
        </div>
      </header>
    </template>
    
  • app/components/blocks/header/HeaderAnnouncementStack.vue4.1 kB
  • app/components/blocks/header/HeaderCenteredLogo.vue3.1 kB
  • app/components/blocks/header/HeaderFloatingPill.vue3.6 kB
  • app/components/blocks/header/HeaderMegaMenu.vue7.6 kB
  • app/components/blocks/header/HeaderSearchCommand.vue4.8 kB
  • app/components/blocks/header/HeaderTransparentScroll.vue3 kB

Raw manifest:https://uipkge.dev/r/vue/header.json